Package: org.gradle.api

## [Java] Interface Rule

- A `Rule` represents some action to perform when an unknown domain object is referenced. The rule can use the domain object name to add an implicit domain object.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(String domainObjectName)` Applies this rule for the given unknown domain object.
    `String` | `getDescription()` Returns the description of the rule.

- - ### Method Detail

    - #### public void apply(String domainObjectName)

      Applies this rule for the given unknown domain object. The rule can choose to ignore this name, or add a domain object with the given name.

      Parameters:
        `domainObjectName` - The name of the unknown domain object.

    - #### public String getDescription()

      Returns the description of the rule. This is used for reporting purposes.

      Returns:
        the description. should not return null.